'use strict';

var _cli = require('../../cli');

var _easyTable = require('easy-table');

var _easyTable2 = _interopRequireDefault(_easyTable);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.command = 'create <account-name>';
exports.desc = 'Create new account';
exports.builder = yargs => {
  yargs.positional('account-name', {
    description: 'Name of new account',
    type: 'string'
  });
};
exports.handler = argv => {
  _cli.SETTINGS.checkLogin();

  (0, _cli.createAccount)(argv.accountName, (response, body) => {
    if (response.statusCode === 201) {
      let t = new _easyTable2.default();

      let account = body.data;

      _cli.LOGGER.info(_chalk2.default.green(`Created account ${account.name}\n`));

      t.cell('id', account.id);
      t.cell('account name', account.name);
      t.newRow();

      _cli.LOGGER.info(t.toString());
    } else {
      _cli.LOGGER.info(_chalk2.default.red('Error creating account'));
      process.exit(1);
    }
  });
};
//# sourceMappingURL=create.js.map