'use strict';

var _cli = require('../../cli');

var _easyTable = require('easy-table');

var _easyTable2 = _interopRequireDefault(_easyTable);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.command = 'list';
exports.desc = 'List accessible accounts';
exports.builder = {};
exports.handler = () => {
  _cli.SETTINGS.checkLogin();

  (0, _cli.fetchCurrentUser)((response, body) => {
    if (response.statusCode === 200) {
      let t = new _easyTable2.default();

      let user = body.data;

      user.accounts.forEach(account => {
        t.cell('ID', account.id);
        t.cell('Account Name', account.name);
        t.newRow();
      });

      _cli.LOGGER.info(t.toString());
    } else {
      _cli.LOGGER.info(_chalk2.default.red('Error fetching accounts'));
      process.exit(1);
    }
  });
};
//# sourceMappingURL=list.js.map