'use strict';

var _cli = require('../../cli');

var _easyTable = require('easy-table');

var _easyTable2 = _interopRequireDefault(_easyTable);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.command = 'update <account-id> <account-name>';
exports.desc = 'Update account name';
exports.builder = yargs => {
  yargs.positional('account-id', {
    description: 'Account ID of account to update',
    type: 'integer'
  }).positional('account-name', {
    description: 'New account name',
    type: 'string'
  });
};
exports.handler = argv => {
  _cli.SETTINGS.checkLogin();

  (0, _cli.updateAccount)(argv.accountId, argv.accountName, (response, body) => {
    if (response.statusCode === 200) {
      let t = new _easyTable2.default();

      let account = body.data;

      _cli.LOGGER.info(_chalk2.default.green(`Updated account ${account.name}\n`));

      t.cell('id', account.id);
      t.cell('account name', account.name);
      t.newRow();

      _cli.LOGGER.info(t.toString());
    } else {
      _cli.LOGGER.error(_chalk2.default.red('Error updating account'));
      process.exit(1);
    }
  });
};
//# sourceMappingURL=update.js.map