'use strict';

var _cli = require('../cli');

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.command = 'login';
exports.desc = 'Login to Cryptid';
exports.builder = y => {
  return y.option('username', { description: 'Username', alias: 'u', required: false }).option('password', { description: 'Password', alias: 'p', required: false });
};
exports.handler = argv => {
  var _ref = [argv.username, argv.password];
  let username = _ref[0],
      password = _ref[1];


  if (_cli.SETTINGS.loggedIn) {
    _cli.LOGGER.info(_chalk2.default.yellow(`You are already logged-in as ${_cli.SETTINGS.email}`));
    process.exit();
  }

  if (username && password) {
    (0, _cli.login)(username, password);
  } else {
    let questions = [];

    if (!username) {
      questions.push({
        type: 'input',
        name: 'username',
        message: 'Enter your username:',
        validate: entry => entry.length > 0
      });
    }

    if (!password) {
      questions.push({
        type: 'password',
        name: 'password',
        message: 'Enter your password:',
        validate: entry => entry.length > 0
      });
    }

    _inquirer2.default.prompt(questions).then(answers => {
      if (answers.username) username = answers.username;
      if (answers.password) password = answers.password;

      (0, _cli.login)(username, password);
    });
  }
};
//# sourceMappingURL=login.js.map