'use strict';

var _cli = require('../../cli');

var _easyTable = require('easy-table');

var _easyTable2 = _interopRequireDefault(_easyTable);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.command = 'update <product-name>';
exports.desc = 'Updates the specified product';
exports.builder = yargs => {
  yargs.positional('product-name', {
    desc: 'Name of the new product',
    type: 'string'
  }).option('account-id', {
    desc: 'Account ID to create product under',
    alias: 'a',
    type: 'number',
    required: true
  }).option('product-id', {
    desc: 'Product ID of the product to update',
    alias: 'p',
    type: 'number'
  });
};
exports.handler = argv => {
  _cli.SETTINGS.checkLogin();

  (0, _cli.updateProduct)(argv, (response, body) => {
    if (response.statusCode === 200) {
      let t = new _easyTable2.default();

      let product = body.data;

      _cli.LOGGER.info(_chalk2.default.green(`Updated product ${product.name}\n`));

      t.cell('ID', product.id);
      t.cell('Product Name', product.name);
      t.newRow();

      _cli.LOGGER.info(t.toString());
    } else {
      _cli.LOGGER.error(_chalk2.default.red('Error updating product'));
      process.exit(1);
    }
  });
};
//# sourceMappingURL=update.js.map