'use strict';

var _cli = require('../../cli');

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.command = 'change-password';
exports.desc = 'Change password on your Cryptid user account';
exports.builder = {};
exports.handler = () => {
  _cli.SETTINGS.checkLogin();

  let questions = [];

  questions.push({
    type: 'password',
    name: 'currentPassword',
    message: 'Enter your current password:',
    validate: entry => entry.length > 0
  });

  questions.push({
    type: 'password',
    name: 'newPassword',
    message: 'Enter your new password:',
    validate: entry => entry.length > 0
  });

  questions.push({
    type: 'password',
    name: 'newPasswordConfirm',
    message: 'Enter your new password again:',
    validate: entry => entry.length > 0
  });

  _inquirer2.default.prompt(questions).then(answers => {
    (0, _cli.updatePassword)(answers, response => {
      if (response.statusCode === 200) {
        _cli.LOGGER.info(_chalk2.default.green('Your password has been updated'));
      } else {
        _cli.LOGGER.error(_chalk2.default.red('An error has occurred. Password not updated.'));
        process.exit(1);
      }
    });
  });
};
//# sourceMappingURL=changePassword.js.map