'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _browser = require('./browser');

var _browser2 = _interopRequireDefault(_browser);

var _reqwest = require('reqwest');

var _reqwest2 = _interopRequireDefault(_reqwest);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CRYPTID_URL = 'https://cryptid.adorable.io/api/events';

function sendData(event) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  (0, _reqwest2.default)(_extends({ data: event }, options));
}

function generateRequestOptions() {
  return {
    url: CRYPTID_URL,
    method: 'post',
    type: 'json,'
  };
}

function Tracker(trackerId, options) {
  this.trackerId = trackerId;
  this.options = options;
  this.reqwest = _reqwest2.default;
}

Tracker.prototype.send = function (event) {
  var metadata = (0, _browser2.default)();
  var mergedEvent = {
    event: _extends({
      trackerId: this.trackerId
    }, metadata, event)
  };
  var config = generateRequestOptions();
  var mergedConfig = _extends({}, config, this.options);
  sendData(mergedEvent, mergedConfig);
};

exports.default = Tracker;
//# sourceMappingURL=index.js.map